Package org.silverpeas.components.community

## Class CommunityComponentSettings

- java.lang.Object
- - org.silverpeas.components.community.CommunityComponentSettings

-     public final class CommunityComponentSettings
      extends Object

  It gathers all the settings and i18n relative to the community component.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMPONENT_NAME` | The name of the application (id est component or peas) in Silverpeas.
    `static String` | `MESSAGES_PATH` | The relative path of the i18n bundle of the Silverpeas component.
    `static String` | `SETTINGS_PATH` | The relative path of the properties file containing the settings of the Silverpeas component.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<String>` | `getLeaveReasons​(String language)` | Gets the list of reasons a member can choose to explain its leaving.
    `static org.silverpeas.kernel.bundle.LocalizationBundle` | `getMessagesIn​(String language)` | Gets all the messages for the Silverpeas component and translated in the specified language.
    `static org.silverpeas.kernel.bundle.SettingBundle` | `getSettings()` | Gets all the settings of the Silverpeas component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      The name of the application (id est component or peas) in Silverpeas.
      See Also:
        Constant Field Values

    - #### SETTINGS_PATH

          public static final String SETTINGS_PATH

      The relative path of the properties file containing the settings of the Silverpeas component.
      See Also:
        Constant Field Values

    - #### MESSAGES_PATH

          public static final String MESSAGES_PATH

      The relative path of the i18n bundle of the Silverpeas component.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMessagesIn

          public static org.silverpeas.kernel.bundle.LocalizationBundle getMessagesIn​(String language)

      Gets all the messages for the Silverpeas component and translated in the specified language.
      Parameters:
        `language` - the language in which are written the messages.
      Returns:
        the resource with the translated messages.

    - #### getSettings

          public static org.silverpeas.kernel.bundle.SettingBundle getSettings()

      Gets all the settings of the Silverpeas component.
      Returns:
        the resource with the different component settings.

    - #### getLeaveReasons

          public static List<String> getLeaveReasons​(String language)

      Gets the list of reasons a member can choose to explain its leaving.
      Parameters:
        `language` - the language in which are written the messages.
      Returns:
        a list of stings.